Workflow Jobs

Retrieve media of specific job

Requires the JOBOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/jobs/{id}/media

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

dateCreatedstring
dateModifiedstring
filenamestring
idstring
orientationstring
original_urlstring
previewsarray[object]
Show Child Parameters
responsible_namestring
statusstring
sub_versionsarray[object]
Show Child Parameters
uploader_namestring
versionnumber
versionParentIDstring
get/api/workflow/jobs/{id}/media
 
200 application/json

File upload

Upload a file to a workflow job

To upload a file to a workflow job it needs to be uploaded via the Upload file endpoint for modern stack. After completing the various steps described in the Upload file endpoint, the fileId retrieved from those steps is needed in this request to reference the file to the job. This file will be attached to the job only.
Warning: Requires the JOBEDIT security role.
Warning: Is only available for Files-Service portals.

post
https://{your-bynder-domain}/api/workflow-jobs/{id}/upload

Path Parameters

idstringrequired

The id of a Job.

Example:00000000-0000-0000-0000-000000000000

Body

application/json
assetIdstring

Id of the parent asset if this file is a new version of an asset

Example:00000000-0000-0000-0000-000000000002

fileIdstring

Id of the file to be saved to the job (to be retrieved from Upload file endpoint)

Example:00000000-0000-0000-0000-000000000001

fileSizenumber

Size of the file in bytes

Example:50000

namestring

Value to be used as filename

Example:example-name.jpg

Response

200 application/json

Successful response

mediaIdstring

Media ID of the uploaded file

Example:00000000000000000000000000000000

post/api/workflow-jobs/{id}/upload

Body

{}
 
200 application/json

Stages

Update stage

Requires the JOBEDIT security role. Updates a workflow stage, including the user or group responsible for it (displayed as Responsible in the UI).

put
https://{your-bynder-domain}/api/workflow/stages/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Body

application/json
deadlinestring

Date of when the stage ends. Send null to clear it.

Example:2018-09-29

descriptionstring

Description of the stage

Example:Stage Description

namestringrequired

Name of the stage

Example:Stage Example

responsibleobject

The user or group responsible for the stage (displayed as Responsible in the UI).

Show Child Parameters

Response

application/json

Successful response

stage_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Updated

put/api/workflow/stages/{id}

Body

{ "deadline": "2018-09-29", "description": "Stage Description", "name": "Stage Example", "responsible": { "id": "00000000-0000-0000-0000-000000000000", "type": "user" } }
 
application/json